AMH4.2一键升级PHP 5.4.41脚本

因最近PHP漏洞影响范围比较大,所以准备给vps升级一下,在DO的centos6环境实测成功,此一键升级脚本来自于http://vpser.club/管理员Bestony。

使用方法:
下载脚本
wget http://www.linuxnode.org/vpserclub/script/amhphpupgrader.sh
添加执行权限
chmod a+x amhphpupgrader.sh
执行脚本
bash amhphpupgrader.sh
然后进入选择界面
输入 1 回车,即可自动升级至5.4.41;
输入 2 回车,即可自动升级至5.5.24;
输入 3 回车,即可自动升级至5.6.8;
输入4或其他会退出

PHP使用的是官方中国源[CN2]

图片显示5.4.40,经过和管理员反馈已经更新至5.4.41了,所以只管输入1安装就可。安装好后进入AMH管理面板发现右下角还是显示PHP5.3.27,实际上PHP已经更新至5.4.41了。挂探针或者登录vps使用
php -v

AMH4.2一键升级PHP 5.4.41脚本

查看版本即可看到PHP版本为5.4.41,其它版本未安装,就不做叙述了。

如果出现502错误要用winscp到/usr/local/php/etc/目录下的php-fpm-template.conf文件添加两行:

listen.group=www
listen.user=www

如果还是遇到错误,就到amh版面上的虚拟主机点编辑,然后打开日志,然后保存就好了。
 

weinxin
我的微信公众号
我的微信公众号扫一扫
广告也精彩
avatar

发表评论

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen:

目前评论:11   其中:访客  11   博主  0

    • avatar 同盟源 7

      不错,我一直用WDCP

        • avatar 厘米 9

          @同盟源 WDCP用的人也蛮多的~

        • avatar 随心 2

          此方法是否适用于debian下的AMH?

            • avatar 厘米 9

              @随心 debian没试过,不过应该可以的,PHP安装源是官方的~

            • avatar rone 1

              升级后网站打不开,显示502

                • avatar 厘米 9

                  @rone AMH管理后台能进吗?重启试试~

                • avatar rone 1

                  amh可以登陆,功能也正常,都重启过了,还是打开网站就显示502

                    • avatar 厘米 9

                      @rone 不知道啥情况了,你去作者的论坛问问看!http://vpsug.com/forums/amh4-2.3/

                    • avatar Fox 0

                      升级到了php5.4版本 之前amh下面的网站打开成404状态了 请问大神这是什么情况?

                      • avatar amhuser 0

                        wget http://www.linuxnode.org/vpserclub/script/amhphpupgrader.sh出现域名解析错误是什么情况。。

                        • avatar lc_soul 0

                          wget http://www.linuxnode.org/vpserclub/script/amhphpupgrader.sh
                          链接失效了